import jagtheora.ogg.OggPacket;
import jagtheora.ogg.OggStreamState;

public class Class225_Sub45_Sub4 extends Class225_Sub45 {

   int anInt10539;
   static final int anInt10540 = 0;
   int anInt10541;
   float aFloat10542;
   String aString10543;
   String aString10544;
   float aFloat10545;
   static final int anInt10546 = 128;
   String aString10547;


   void method14175(int var1) {}

   void method14168(OggPacket var1, byte var2) {
      if(-1753786919 * this.anInt8778 <= 0 || "SUB".equals(this.aString10544)) {
         RS2Buffer var3 = new RS2Buffer(var1.getData());
         int var4 = var3.readUnsignedByte(-700559597);
         if(this.anInt8778 * -1753786919 <= 8) {
            if(0 == (var4 | 128)) {
               throw new IllegalStateException();
            }

            if(-1753786919 * this.anInt8778 == 0) {
               var3.position += 1795167511;
               this.anInt10541 = var3.method13727(1000935299) * -680683387;
               this.anInt10539 = var3.method13727(-1607211882) * 82644829;
               if(0 == 448700493 * this.anInt10541 || 1404615925 * this.anInt10539 == 0) {
                  throw new IllegalStateException();
               }

               RS2Buffer var5 = new RS2Buffer(16);
               var3.method13737(var5.buffer, 0, 16, 1385214721);
               this.aString10543 = var5.readString((byte)25);
               var5.position = 0;
               var3.method13737(var5.buffer, 0, 16, 1385214721);
               this.aString10544 = var5.readString((byte)27);
            }
         } else {
            if(var4 == 0) {
               long var6 = var3.method13709(-1894367243);
               long var8 = var3.method13709(-1863607266);
               long var10 = var3.method13709(-325625852);
               if(var6 < 0L || var8 < 0L || var10 < 0L || var10 > var6) {
                  throw new IllegalStateException();
               }

               this.aFloat10542 = (float)((long)(1404615925 * this.anInt10539) * var6) / (float)(448700493 * this.anInt10541);
               this.aFloat10545 = (float)((var6 + var8) * (long)(1404615925 * this.anInt10539)) / (float)(this.anInt10541 * 448700493);
               int var12 = var3.method13727(498475008);
               if(var12 < 0 || var12 > var3.buffer.length - -543666943 * var3.position) {
                  throw new IllegalStateException();
               }

               this.aString10547 = Class225_Sub50.method14253(var3.buffer, var3.position * -543666943, var12, -948723940);
            }

            if(0 != (var4 | 128)) {
               return;
            }
         }

      }
   }

   String method16211(int var1) {
      return this.aString10543;
   }

   void method14166(OggPacket var1) {
      if(-1753786919 * this.anInt8778 <= 0 || "SUB".equals(this.aString10544)) {
         RS2Buffer var2 = new RS2Buffer(var1.getData());
         int var3 = var2.readUnsignedByte(-700559597);
         if(this.anInt8778 * -1753786919 <= 8) {
            if(0 == (var3 | 128)) {
               throw new IllegalStateException();
            }

            if(-1753786919 * this.anInt8778 == 0) {
               var2.position += 1795167511;
               this.anInt10541 = var2.method13727(-925886986) * -680683387;
               this.anInt10539 = var2.method13727(280628680) * 82644829;
               if(0 == 448700493 * this.anInt10541 || 1404615925 * this.anInt10539 == 0) {
                  throw new IllegalStateException();
               }

               RS2Buffer var4 = new RS2Buffer(16);
               var2.method13737(var4.buffer, 0, 16, 1385214721);
               this.aString10543 = var4.readString((byte)45);
               var4.position = 0;
               var2.method13737(var4.buffer, 0, 16, 1385214721);
               this.aString10544 = var4.readString((byte)-19);
            }
         } else {
            if(var3 == 0) {
               long var5 = var2.method13709(-1428061896);
               long var7 = var2.method13709(-1948045053);
               long var9 = var2.method13709(-1118066425);
               if(var5 < 0L || var7 < 0L || var9 < 0L || var9 > var5) {
                  throw new IllegalStateException();
               }

               this.aFloat10542 = (float)((long)(1404615925 * this.anInt10539) * var5) / (float)(448700493 * this.anInt10541);
               this.aFloat10545 = (float)((var5 + var7) * (long)(1404615925 * this.anInt10539)) / (float)(this.anInt10541 * 448700493);
               int var11 = var2.method13727(868501393);
               if(var11 < 0 || var11 > var2.buffer.length - -543666943 * var2.position) {
                  throw new IllegalStateException();
               }

               this.aString10547 = Class225_Sub50.method14253(var2.buffer, var2.position * -543666943, var11, -948723940);
            }

            if(0 != (var3 | 128)) {
               return;
            }
         }

      }
   }

   public float method16212(int var1) {
      return this.aFloat10545;
   }

   public float method16213(int var1) {
      return this.aFloat10542;
   }

   public String method16214(int var1) {
      return this.aString10547;
   }

   Class225_Sub45_Sub4(OggStreamState var1) {
      super(var1);
   }

   void method14171(OggPacket var1) {
      if(-1753786919 * this.anInt8778 <= 0 || "SUB".equals(this.aString10544)) {
         RS2Buffer var2 = new RS2Buffer(var1.getData());
         int var3 = var2.readUnsignedByte(-700559597);
         if(this.anInt8778 * -1753786919 <= 8) {
            if(0 == (var3 | 128)) {
               throw new IllegalStateException();
            }

            if(-1753786919 * this.anInt8778 == 0) {
               var2.position += 1795167511;
               this.anInt10541 = var2.method13727(948031100) * -680683387;
               this.anInt10539 = var2.method13727(176136787) * 82644829;
               if(0 == 448700493 * this.anInt10541 || 1404615925 * this.anInt10539 == 0) {
                  throw new IllegalStateException();
               }

               RS2Buffer var4 = new RS2Buffer(16);
               var2.method13737(var4.buffer, 0, 16, 1385214721);
               this.aString10543 = var4.readString((byte)-103);
               var4.position = 0;
               var2.method13737(var4.buffer, 0, 16, 1385214721);
               this.aString10544 = var4.readString((byte)6);
            }
         } else {
            if(var3 == 0) {
               long var5 = var2.method13709(-1856360045);
               long var7 = var2.method13709(-1286022540);
               long var9 = var2.method13709(-1532385325);
               if(var5 < 0L || var7 < 0L || var9 < 0L || var9 > var5) {
                  throw new IllegalStateException();
               }

               this.aFloat10542 = (float)((long)(1404615925 * this.anInt10539) * var5) / (float)(448700493 * this.anInt10541);
               this.aFloat10545 = (float)((var5 + var7) * (long)(1404615925 * this.anInt10539)) / (float)(this.anInt10541 * 448700493);
               int var11 = var2.method13727(812930035);
               if(var11 < 0 || var11 > var2.buffer.length - -543666943 * var2.position) {
                  throw new IllegalStateException();
               }

               this.aString10547 = Class225_Sub50.method14253(var2.buffer, var2.position * -543666943, var11, -948723940);
            }

            if(0 != (var3 | 128)) {
               return;
            }
         }

      }
   }

   void method14172(OggPacket var1) {
      if(-1753786919 * this.anInt8778 <= 0 || "SUB".equals(this.aString10544)) {
         RS2Buffer var2 = new RS2Buffer(var1.getData());
         int var3 = var2.readUnsignedByte(-700559597);
         if(this.anInt8778 * -1753786919 <= 8) {
            if(0 == (var3 | 128)) {
               throw new IllegalStateException();
            }

            if(-1753786919 * this.anInt8778 == 0) {
               var2.position += 1795167511;
               this.anInt10541 = var2.method13727(-1898731201) * -680683387;
               this.anInt10539 = var2.method13727(-919306687) * 82644829;
               if(0 == 448700493 * this.anInt10541 || 1404615925 * this.anInt10539 == 0) {
                  throw new IllegalStateException();
               }

               RS2Buffer var4 = new RS2Buffer(16);
               var2.method13737(var4.buffer, 0, 16, 1385214721);
               this.aString10543 = var4.readString((byte)-36);
               var4.position = 0;
               var2.method13737(var4.buffer, 0, 16, 1385214721);
               this.aString10544 = var4.readString((byte)-49);
            }
         } else {
            if(var3 == 0) {
               long var5 = var2.method13709(-842855261);
               long var7 = var2.method13709(-1164610494);
               long var9 = var2.method13709(-605097235);
               if(var5 < 0L || var7 < 0L || var9 < 0L || var9 > var5) {
                  throw new IllegalStateException();
               }

               this.aFloat10542 = (float)((long)(1404615925 * this.anInt10539) * var5) / (float)(448700493 * this.anInt10541);
               this.aFloat10545 = (float)((var5 + var7) * (long)(1404615925 * this.anInt10539)) / (float)(this.anInt10541 * 448700493);
               int var11 = var2.method13727(1003823618);
               if(var11 < 0 || var11 > var2.buffer.length - -543666943 * var2.position) {
                  throw new IllegalStateException();
               }

               this.aString10547 = Class225_Sub50.method14253(var2.buffer, var2.position * -543666943, var11, -948723940);
            }

            if(0 != (var3 | 128)) {
               return;
            }
         }

      }
   }

   void method14173(OggPacket var1) {
      if(-1753786919 * this.anInt8778 <= 0 || "SUB".equals(this.aString10544)) {
         RS2Buffer var2 = new RS2Buffer(var1.getData());
         int var3 = var2.readUnsignedByte(-700559597);
         if(this.anInt8778 * -1753786919 <= 8) {
            if(0 == (var3 | 128)) {
               throw new IllegalStateException();
            }

            if(-1753786919 * this.anInt8778 == 0) {
               var2.position += 1795167511;
               this.anInt10541 = var2.method13727(-1007280431) * -680683387;
               this.anInt10539 = var2.method13727(1406727811) * 82644829;
               if(0 == 448700493 * this.anInt10541 || 1404615925 * this.anInt10539 == 0) {
                  throw new IllegalStateException();
               }

               RS2Buffer var4 = new RS2Buffer(16);
               var2.method13737(var4.buffer, 0, 16, 1385214721);
               this.aString10543 = var4.readString((byte)-30);
               var4.position = 0;
               var2.method13737(var4.buffer, 0, 16, 1385214721);
               this.aString10544 = var4.readString((byte)24);
            }
         } else {
            if(var3 == 0) {
               long var5 = var2.method13709(-1211005186);
               long var7 = var2.method13709(-1289732078);
               long var9 = var2.method13709(-449253205);
               if(var5 < 0L || var7 < 0L || var9 < 0L || var9 > var5) {
                  throw new IllegalStateException();
               }

               this.aFloat10542 = (float)((long)(1404615925 * this.anInt10539) * var5) / (float)(448700493 * this.anInt10541);
               this.aFloat10545 = (float)((var5 + var7) * (long)(1404615925 * this.anInt10539)) / (float)(this.anInt10541 * 448700493);
               int var11 = var2.method13727(-972678041);
               if(var11 < 0 || var11 > var2.buffer.length - -543666943 * var2.position) {
                  throw new IllegalStateException();
               }

               this.aString10547 = Class225_Sub50.method14253(var2.buffer, var2.position * -543666943, var11, -948723940);
            }

            if(0 != (var3 | 128)) {
               return;
            }
         }

      }
   }

   void method14174() {}

   void method14167() {}
}
